How do we install VeriCite?

The LTI version of VeriCite requires only access credentials, not a local installation. The LTI version can be used with any LMS that supports the LTI standard. If you prefer to use a native integration option (currently available for Canvas, Sakai and Moodle) installation instructions will be provided upon subscription.

Detailed documentation is available for installing VeriCite in your LMS. If additional assistance is needed once you've subscribed, please contact support@vericite.com.